### Method

# Snapd Client get_notices_with_filters_sync

since: 1.65

#### Declaration [src]

    GPtrArray*
    snapd_client_get_notices_with_filters_sync (
      SnapdClient* client,
      gchar* user_id,
      gchar* users,
      gchar* types,
      gchar* keys,
      GDateTime* since_date_time,
      GTimeSpan timeout,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Synchronously get notifications that have occurred / are occurring on the snap daemon, allowing to filter the results with several options.

The `since_date_time` field, being a GDateTime, has a resolution of microseconds, so, if nanosecond resolution is needed, it is mandatory to call

# snapd_client_notices_set_after_notice before calling this method.

Available since: 1.65

#### Parameters

`user_id`

  Type: `gchar*`

  Filter by this user-id (NULL for no filter).

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`users`

  Type: `gchar*`

  Filter by this comma-separated list of users (NULL for no filter).

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`types`

  Type: `gchar*`

  Filter by this comma-separated list of types (NULL for no filter).

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`keys`

  Type: `gchar*`

  Filter by this comma-separated list of keys (NULL for no filter).

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`since_date_time`

  Type: `GDateTime`

  Send only the notices generated after this moment (NULL for all).

  The data is owned by the caller of the method.

`timeout`

  Type: `GTimeSpan`

  Time, in microseconds, to wait for a new notice (zero to return immediately).

`cancellable`

  Type: `GCancellable`

  A `GCancellable` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: An array of `None`

A `GPtrArray` object containing the requested notices, or NULL in case of error.

The caller of the method takes ownership of the returned data container, but not the data inside it.